How to check if your Mac is compatible with OS X Mavericks

mac-compatible-with-osx-mavericks

OS X Mavericks can be run in Mac as old as mid 2007 model. The following are the list of supported Mac models:

  • iMac (Mid 2007 or newer)
  • MacBook (Late 2008 Aluminum, or Early 2009 or newer)
  • MacBook Pro (Mid/Late 2007 or newer)
  • MacBook Air (Late 2008 or newer)
  • Mac mini (Early 2009 or newer)
  • Mac Pro (Early 2008 or newer)
  • Xserve (Early 2009)

To check the model year of your Mac hardware, click on the Apple icon at the top left of your screen.From the drop down menu, select About This Mac.

about-this-mac-mavericks

Click on “More Info…” at bottom of About This Mac window. This will launch the System Information app. 

mac-osx-mavericks-system-info

Right below your Mac model name is the description of the model year of the Mac.